import 'package:card_swiper/card_swiper.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class SwiperGetxController extends GetxController {
  RxDouble width = 85.0.obs;
  RxDouble hight = 85.0.obs;
  RxDouble borderWidth = 5.0.obs;
  bool inProgress = false;
  int index = 0;

  late PageController page_controller = PageController(
    initialPage: index,
    keepPage: true,
  );

  SwiperController controller = new SwiperController();

  @override
  void onClose() {
    controller.dispose();
    super.onClose();
  }

  Future<void> animate(Index) async {
    width.value = 100;
    hight.value = 100;
    borderWidth.value = 7.0;
    await Future.delayed(const Duration(milliseconds: 150), () {});
    width.value = 85.0;
    hight.value = 85.0;
    borderWidth.value = 5.0;
  }
}
